com.fasterxml.jackson.dataformat.avro.schema

## Class AvroSchemaHelper

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.schema.AvroSchemaHelper

-     public abstract class AvroSchemaHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroSchemaHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.avro.Schema` | `anyNumberSchema()`
    `protected static String` | `getName(com.fasterxml.jackson.databind.JavaType type)`
    `protected static String` | `getNamespace(com.fasterxml.jackson.databind.JavaType type)`
    `static org.apache.avro.Schema` | `numericAvroSchema(com.fasterxml.jackson.core.JsonParser.NumberType type)`
    `static org.apache.avro.Schema` | `simpleSchema(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatTypes type)`
    `protected static <T> T` | `throwUnsupported()`
    `protected static org.apache.avro.Schema` | `unionWithNull(org.apache.avro.Schema otherSchema)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroSchemaHelper

          public AvroSchemaHelper()

  - ### Method Detail

    - #### getNamespace

          protected static String getNamespace(com.fasterxml.jackson.databind.JavaType type)

    - #### getName

          protected static String getName(com.fasterxml.jackson.databind.JavaType type)

    - #### unionWithNull

          protected static org.apache.avro.Schema unionWithNull(org.apache.avro.Schema otherSchema)

    - #### simpleSchema

          public static org.apache.avro.Schema simpleSchema(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatTypes type)

    - #### numericAvroSchema

          public static org.apache.avro.Schema numericAvroSchema(com.fasterxml.jackson.core.JsonParser.NumberType type)

    - #### anyNumberSchema

          public static org.apache.avro.Schema anyNumberSchema()

    - #### throwUnsupported

          protected static <T> T throwUnsupported()

Copyright © 2016 FasterXML. All rights reserved.